stages:
  - prepare
  - test
  - build
  - e2e-setup
  - e2e-test
  - e2e-cleanup
  - build-cleanup
  - replicate
  - publish
  - document
  - drift
  - release

include:
  - local: .gitlab/ci/00_common.gitlab-ci.yml
  - local: .gitlab/ci/00_rules.gitlab-ci.yml
  - local: .gitlab/ci/10_build_ci_image.gitlab-ci.yml
  - local: .gitlab/ci/20_test.gitlab-ci.yml
  - local: .gitlab/ci/21_sast.gitlab-ci.yml
  - local: .gitlab/ci/30_e2e.gitlab-ci.yml
  - local: .gitlab/ci/40_cleanup_build_image.gitlab-ci.yml
  - local: .gitlab/ci/50_linux_images.gitlab-ci.yml
  - local: .gitlab/ci/99_drift_check.gitlab-ci.yml
  - local: .gitlab/ci/release.gitlab-ci.yml
